<?php

/*
 * This is needed, beacuse any warning if generated at any php file will make an error in the OpenFlashChart
 */
if(function_exists("ini_set")){ 
	ini_set("display_errors", 0);
}

  

require_once('../../../../wp-load.php');
require_once('../../../../wp-admin/includes/admin.php');
    		
//do_action('admin_init');


//include './php-ofc-library/open-flash-chart.php';


require_once '../classes/class-ta-resource.php';
require_once '../classes/class-ta-period.php';
require_once '../classes/class-ta-line-chart.php';
require_once '../classes/class-ta-pie-chart.php';
require_once '../classes/class-ta-no-chart.php';

if(isset($_GET['daterangepicker_start']) && !empty($_GET['daterangepicker_start'] )){
	$sdate_get = ta_filter_date($_GET['daterangepicker_start']);		
}

if(isset($_GET['daterangepicker_end']) && !empty($_GET['daterangepicker_end'] )){
	$edate_get = ta_filter_date($_GET['daterangepicker_end']);	
}


if(empty($sdate_get) && empty($edate_get)){
		$sdate = ta_get_first_view_date();
		$edate = ta_get_last_view_date();	
}

if(!empty($sdate_get) && empty($edate_get)){
	$sdate = $sdate_get;
	$edate = $sdate_get;
}

if( !empty($sdate_get) && !empty($edate_get)) {
	$sdate = $sdate_get;
	$edate = $edate_get;
}

if(isset($_GET['period']) && !empty($_GET['period'])){
	$periodicity = ta_filter_period($_GET['period']);
}

if(empty($_GET['period'])){
		$periodicity = "a";		// This should be "a"
}

// hardcoding $sdate and $edate for testing
//$sdate='2011/10/13';
//$edate='2011/11/30';
$period = new TA_Period($periodicity,$sdate,$edate);


$ta_settings = new TrafficAnalyzerSettings();
$num = $ta_settings->get_num();

$id=array();
if($num=="c")
	$id = $ta_settings->get_id();
$order = "desc";

/*
 * argument1 : No. of resources to be displayed. 0 for all
 * argument2 : desc for top to bottom and asc for bottom to top
 * argument3 : Period object
 */


$resource = new TA_Resource($num,$order,$period,$id,$_GET['screen']);	

if($resource->is_multi()){
	$chart = new TA_Line_Chart($resource,$period);
}
/*
else if($resource->is_no_data())
	$chart = new TA_No_Chart();
	*/
else
	$chart = new TA_Pie_Chart($resource,$period);
//$chart->draw();

	header('Content-Type:text/xml');
	$chart->getXMLData($period);

	
	